org.modeshape.jboss.subsystem

## Class ModeShapeExtension

- java.lang.Object
- - org.modeshape.jboss.subsystem.ModeShapeExtension

- All Implemented Interfaces:
    org.jboss.as.controller.Extension

      public class ModeShapeExtension
      extends Object
      implements org.jboss.as.controller.Extension

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ModeShapeExtension.ModuleID`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JBOSS_DATA_DIR_VARIABLE`
    `static String` | `SUBSYSTEM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeShapeExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(org.jboss.as.controller.ExtensionContext context)`
    `void` | `initializeParsers(org.jboss.as.controller.parsing.ExtensionParsingContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUBSYSTEM_NAME

          public static final String SUBSYSTEM_NAME

      See Also:
        Constant Field Values

    - #### JBOSS_DATA_DIR_VARIABLE

          public static final String JBOSS_DATA_DIR_VARIABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ModeShapeExtension

          public ModeShapeExtension()

  - ### Method Detail

    - #### initialize

          public void initialize(org.jboss.as.controller.ExtensionContext context)

      Specified by:
        `initialize` in interface `org.jboss.as.controller.Extension`

    - #### initializeParsers

          public void initializeParsers(org.jboss.as.controller.parsing.ExtensionParsingContext context)

      Specified by:
        `initializeParsers` in interface `org.jboss.as.controller.Extension`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.